%define upstream_name    Code-TidyAll
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use podchecker with tidyall
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Zglob)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(IPC::System::Simple) >= 0.150.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Moo) >= 0.9.101.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
This is the engine used by tidyall - read that first to get an overview.

You can call this API from your own program instead of executing 'tidyall'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tidyall
/usr/share/man/man1/tidyall.1.xz

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 749791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 683958
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 624179
- update to 0.20

* Thu Mar 13 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 602854
- update to 0.19

* Mon Oct 21 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 536993
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 486132
- update to 0.18

* Mon Jun 10 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 441486
- update to 0.17

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 364533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 314866
- update to 0.16

* Mon Oct 15 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 306068
- update to 0.15

* Wed Oct 10 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 304462
- imported package perl-Code-TidyAll


* Wed Oct 10 2012 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
